detectors:
  max_batch_size: 1
  models:
    face_jasmine:
      aliases:
      - face
      - nnd
      - cheetah
      model: detector/facedet.kali.005.gpu.fnk
      options:
        min_object_size: 32
        resolutions:
        - 2048x2048
    body_gustav:
      aliases:
      - body
      - edie
      - shiloette
      - glen
      model: detector/bodydet.kali_accurate.021.gpu.fnk
      options:
        min_object_size: 32
        resolutions:
        - 2048x2048
    gustav:
      aliases:
      - car
      - efreitor
      model: detector/cardet.kali_accurate.008.gpu.fnk
      options:
        min_object_size: 32
        resolutions:
        - 2048x2048
objects:
  bag:
    base_normalizer: ''
    quality_attribute: ''
  bear:
    base_normalizer: ''
    quality_attribute: ''
  body:
    base_normalizer: facenorm/cropbbox.v2.gpu.fnk
    quality_attribute: body_quality
  car:
    base_normalizer: facenorm/cropbbox.v2.gpu.fnk
    quality_attribute: car_quality
  cat:
    base_normalizer: ''
    quality_attribute: ''
  container:
    base_normalizer: ''
    quality_attribute: ''
  container_number:
    base_normalizer: ''
    quality_attribute: ''
  dog:
    base_normalizer: ''
    quality_attribute: ''
  dumpster:
    base_normalizer: ''
    quality_attribute: ''
  dumpster_enclosure:
    base_normalizer: ''
    quality_attribute: ''
  face:
    base_normalizer: facenorm/crop2x.v2_maxsize400.gpu.fnk
    quality_attribute: face_quality
  fire:
    base_normalizer: ''
    quality_attribute: ''
  garbage:
    base_normalizer: ''
    quality_attribute: ''
  graffiti:
    base_normalizer: ''
    quality_attribute: ''
  head:
    base_normalizer: ''
    quality_attribute: ''
  license_plate:
    base_normalizer: ''
    quality_attribute: ''
  merch:
    base_normalizer: ''
    quality_attribute: ''
  pet_face:
    base_normalizer: ''
    quality_attribute: ''
  pothole:
    base_normalizer: ''
    quality_attribute: ''
  snowpile:
    base_normalizer: ''
    quality_attribute: ''
  streetlight:
    base_normalizer: ''
    quality_attribute: ''
  trash_bin:
    base_normalizer: ''
    quality_attribute: ''
  visible_gas:
    base_normalizer: ''
    quality_attribute: ''
normalizers:
  max_batch_size: 8
  models:
    amethyst1x4:
      model: ''
    amethyst1x16:
      model: ''
    amethyst2x4:
      model: ''
    amethyst2x8:
      model: ''
    carlicplate:
      model: carnorm/carnorm.briacon.v2.gpu.fnk
    containernumber:
      model: ''
    crop1x:
      model: facenorm/crop1x.v2_maxsize400.gpu.fnk
    crop2x:
      model: facenorm/crop2x.v2_maxsize400.gpu.fnk
    cropbbox:
      model: facenorm/cropbbox.v2.gpu.fnk
    multicrop_full_center:
      model: ''
    multicrop_full_crop2x:
      model: facenorm/facenorm.multicrop_full_crop2x_size400.gpu.fnk
    norm200:
      model: facenorm/bee.v3.gpu.fnk
extractors:
  max_batch_size: 8
  models:
    body_action_base6:
      default:
        model: ''
    body_action_car:
      default:
        model: ''
    body_action_fights:
      default:
        model: ''
    body_age_gender:
      default:
        model: pedattr/pedattr.age_gender.v0.gpu.fnk
    body_bags:
      default:
        model: pedattr/pedattr.bags.v0.gpu.fnk
    body_clothes:
      default:
        model: pedattr/pedattr.clothes_type.v0.gpu.fnk
    body_clothes34671:
      default:
        model: ''
    body_color:
      default:
        model: pedattr/pedattr.color.v1.gpu.fnk
    body_emben:
      default:
        model: pedrec/pedrec.durga.gpu.fnk
    body_fall:
      default:
        model: pedattr/pedattr.fall.v1.gpu.fnk
    body_handface:
      default:
        model: pedattr/pedattr.handface.v1.gpu.fnk
    body_mideast_clothes:
      default:
        model: ''
    body_protective_equipment:
      default:
        model: ''
    body_quality:
      default:
        model: pedattr/pedattr.quality.v0.gpu.fnk
    car_categories:
      default:
        model: carattr/carattr.categories.v1.gpu.fnk
    car_color:
      default:
        model: ''
    car_container_number:
      default:
        model: ''
    car_description:
      default:
        model: carattr/carattr.description.v1.gpu.fnk
    car_emben:
      default:
        model: carrec/bottas.gpu.fnk
    car_license_plate:
      default:
        model: carattr/carattr.license_plate.v9.gpu.fnk
    car_license_plate_quality:
      default:
        model: carattr/carattr.license_plate_quality.v3.gpu.fnk
    car_license_plate_visibility:
      default:
        model: ''
    car_make:
      default:
        model: ''
    car_orientation:
      default:
        model: carattr/carattr.orientation.v0.gpu.fnk
    car_quality:
      default:
        model: carattr/carattr.quality.v1.gpu.fnk
    car_special_types:
      default:
        model: ''
    car_special_types11:
      default:
        model: ''
    car_special_types12:
      default:
        model: carattr/carattr.special_types12.v0.gpu.fnk
    car_trash:
      default:
        model: ''
    car_weight_types7:
      default:
        model: carattr/carattr.weight_types7.v0.gpu.fnk
    container_number:
      default:
        model: ''
    container_quality_number:
      default:
        model: ''
    crowd_count:
      default:
        model: ''
    dumpster_types22:
      default:
        model: ''
    dumpster_types23:
      default:
        model: ''
    face_age:
      default:
        model: faceattr/faceattr.age.v3.gpu.fnk
    face_beard:
      default:
        model: faceattr/beard.v0.gpu.fnk
    face_beard4:
      default:
        model: ''
    face_countries47:
      default:
        model: ''
    face_emben:
      default:
        model: face/nectarine_l_320.gpu.fnk
    face_emotions:
      default:
        model: faceattr/emotions.v1.gpu.fnk
    face_eyes_attrs:
      default:
        model: faceattr/faceattr.eyes_attrs.v0.gpu.fnk
    face_eyes_openness:
      default:
        model: ''
    face_gender:
      default:
        model: faceattr/faceattr.gender.v3.gpu.fnk
    face_glasses3:
      default:
        model: ''
    face_glasses4:
      default:
        model: faceattr/faceattr.glasses4.v0.gpu.fnk
    face_hair:
      default:
        model: ''
    face_headpose:
      default:
        model: faceattr/headpose.v3.gpu.fnk
    face_headwear:
      default:
        model: ''
    face_highlight:
      default:
        model: ''
    face_liveness:
      default:
        model: faceattr/faceattr.liveness_web.v1.gpu.fnk
    face_luminance_overexposure:
      default:
        model: ''
    face_luminance_underexposure:
      default:
        model: ''
    face_luminance_uniformity:
      default:
        model: ''
    face_medmask3:
      default:
        model: faceattr/medmask3.v2.gpu.fnk
    face_medmask4:
      default:
        model: ''
    face_mouth_attrs:
      default:
        model: ''
    face_quality:
      default:
        model: faceattr/faceattr.quality.v5.gpu.fnk
    face_scar:
      default:
        model: ''
    face_sharpness:
      default:
        model: ''
    face_tattoo:
      default:
        model: ''
    face_validity:
      default:
        model: ''
    frame_snow_estimation_road:
      default:
        model: ''
    frame_snow_estimation_sidewalk:
      default:
        model: ''
    garbage_types4:
      default:
        model: ''
    head_headpose_unconstrained:
      default:
        model: ''
    head_motohelmet:
      default:
        model: ''
    license_plate_quality:
      default:
        model: ''
    merch_emben:
      default:
        model: ''
    pet_face_emben:
      default:
        model: ''
    street_light_working:
      default:
        model: ''
    trash_bin_filled:
      default:
        model: ''
ascend_device: 0
gpu_device: 0
models_root: /usr/share/findface-data/models
cache_dir: /var/cache/findface/models_cache
listen: 127.0.0.1:18666
license_ntls_server: 127.0.0.1:3133
fetch:
  enabled: true
  size_limit: 10485760
max_dimension: 6000
allow_cors: false
ticker_interval: 5000
debug: false
prometheus:
  timing_buckets:
  - 0.001
  - 0.005
  - 0.01
  - 0.02
  - 0.03
  - 0.05
  - 0.1
  - 0.2
  - 0.3
  - 0.5
  - 0.75
  - 0.9
  - 1
  - 1.1
  - 1.3
  - 1.5
  - 1.7
  - 2
  - 3
  - 5
  - 10
  - 20
  - 30
  - 50
  resolution_buckets:
  - 10000
  - 20000
  - 40000
  - 80000
  - 100000
  - 200000
  - 400000
  - 800000
  - 1e+06
  - 2e+06
  - 3e+06
  - 4e+06
  - 5e+06
  - 6e+06
  - 8e+06
  - 1e+07
  - 12000000.0
  - 15000000.0
  - 18000000.0
  - 2e+07
  - 3e+07
  - 5e+07
  - 1e+08
  faces_buckets:
  - 0
  - 1
  - 2
  - 5
  - 10
  - 20
  - 50
  - 75
  - 100
  - 200
  - 300
  - 400
  - 500
  - 600
  - 700
  - 800
  - 900
  - 1000
